/**
 * EasyBeans
 * Copyright (C) 2012 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: Timer.java 6271 2012-07-10 11:10:15Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.ejbjar.impl.xml.struct;

import org.ow2.util.ee.metadata.common.api.xml.struct.IMethodDD;
import org.ow2.util.ee.metadata.ejbjar.api.struct.IJEjbSchedule;
import org.ow2.util.ee.metadata.ejbjar.api.xml.struct.ITimer;

/**
 * Timer as analyzed by XML DD. 
 * @author Florent Benoit
 */
public class Timer implements ITimer {

    /**
     * Serial version UID.
     */
    private static final long serialVersionUID = 8225606307642638838L;

    /**
     * Timeout method.
     */
    private IMethodDD timeoutMethod = null;

    /**
     * Schedule object.
     */
    private IJEjbSchedule schedule = null;

    /**
     * @return timeout method for which the concurrency applies. 
     */
    public IMethodDD getTimeoutMethod() {
        return timeoutMethod;
    }

    /**
     * Sets the timeout method.
     * @param timeoutMethod the given method
     */
    public void setTimeoutMethod(IMethodDD timeoutMethod) {
        this.timeoutMethod = timeoutMethod;
    }

    /**
     * @return schedule
     */
    public IJEjbSchedule getSchedule() {
        return schedule;
    }

    /**
     * Sets the schedule object.
     * @param schedule the given object
     */
    public void setSchedule(IJEjbSchedule schedule) {
        this.schedule = schedule;
    }

}
